Get a Specific Webhook

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks/{webhookId}

Get specific Webhook for the selected RecordSet.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

  • webhookId string Required

    id of the Webhook

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id string

      id of the Webhook

    • record_set_id string

      RecordSet Id

    • requested_by string

      requestor name

    • status number

      Not used

      +Body

      { "_id": "570b394503f0ca524cb7d430", "requestedBy": "demo_5000", "webhookName": "wh_rs2", "recordSetId": "570b394403f0ca524cb7d42f", "webhookUrl": "https:///domain/development/services/webhooks/200a9acbb5dd025f0d5429bf9b22a8c2fcb0e0d1-d095ef0a802d02c3143dac9f9c17f6675de83d28", "status": 1 }

    • webhook_name string

      Webhook name

    • webhook_url string

      Webhook URL

GET /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks/{webhookId}
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks/{webhookId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "",
  "recordSetId": "",
  "requestedBy": "",
  "status": 0,
  "webhookName": "",
  "webhookUrl": ""
}